Loader → DataTextureLoader →

# TIFFLoader

A loader for the TIFF texture format.

## Code Example

    const loader = new TIFFLoader();
    const texture = await loader.loadAsync( 'textures/tiff/crate_lzw.tif' );
    texture.colorSpace = THREE.SRGBColorSpace;

## Import

TIFFLoader is an addon, and must be imported explicitly, see Installation#Addons.

    import { TIFFLoader } from 'three/addons/loaders/TIFFLoader.js';

## Constructor

### new TIFFLoader ( manager : LoadingManager )

Constructs a new TIFF loader.

manager | The loading manager.

## Methods

### .parse ( buffer : ArrayBuffer ) : DataTextureLoader~TexData

Parses the given TIFF texture data.

buffer | The raw texture data.

Overrides: DataTextureLoader#parse

Returns: An object representing the parsed texture data.

## Source

examples/jsm/loaders/TIFFLoader.js